Subject: bug#52293: [External] : bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Juri Linkov <[email-masked]>
Date: Thu, 16 Dec 2021 19:20:50 +0200

>> Moreover, double-clicking mouse-3 is not convenient to use.
>
> I disagree.  I'll bet it's what you're already
> doing when (if) you right-click `mouse-3' to
> kill selected text.  I'll bet you do NOT use a
> second single-click.

No, I don't use `mouse-3' to kill selected text,
because it's easy to kill selected text
by choosing "Cut" from the context menu.

> And anyway, it's not a double-click that brings
> up a menu - that continues to do what it's always
> done in Emacs: delete the active region.  It's a
> _second single-click_ (at the same spot) that
> brings up the menu.

So there should be a delay longer than for double-click
before the second click pops up the context menu?

> (That's a design choice, so as to fit best with
> traditional Emacs behavior.  Those two could be
> reversed: double-click to bring up menu, two
> single-clicks to delete region.)

Still inconvenient when double-click brings up menu.

> And again, there are simple user actions to get
> ONLY what you apparently prefer or ONLY what
> Emacs users are used to:
>
> . It's trivial to choose to always get a context
>   menu instead (and yes, with a single click):
>   just turn on option `mouse3-menu-always-flag'.

Maybe context menus should be enabled by default?